API: Open Chat Studio v1 Description: Build, deploy and monitor chatbots. TAG: Participants Description: Manage participants, their data, and their schedules. ENDPOINTS: GET /api/participants Summary: List Participants Description: GET: list participants for the team. POST: update/create participant data. Parameters: - chatbot (query, string (optional)): Filter by chatbot public id; returns participants that have data for the chatbot. - cursor (query, string (optional)): The pagination cursor value. - identifier (query, string (optional)): Filter by participant identifier - page_size (query, integer (optional)): Number of results to return per page. - platform (query, string (optional)): Filter by platform (e.g. api, telegram, whatsapp) Responses: 200: Content: application/json Schema: PaginatedParticipantDetailList Security: OAuth2 - Required scopes: participants:read apiKeyAuth tokenAuth POST /api/participants Summary: Update Participant Data Description: GET: list participants for the team. POST: update/create participant data. Request Body: Content: application/json Schema: ParticipantDataUpdateRequest Responses: 200: No response body Security: OAuth2 - Required scopes: participants:write apiKeyAuth tokenAuth GET /api/participants/ Summary: List Participants Description: GET: list participants for the team. POST: update/create participant data. Parameters: - chatbot (query, string (optional)): Filter by chatbot public id; returns participants that have data for the chatbot. - cursor (query, string (optional)): The pagination cursor value. - identifier (query, string (optional)): Filter by participant identifier - page_size (query, integer (optional)): Number of results to return per page. - platform (query, string (optional)): Filter by platform (e.g. api, telegram, whatsapp) Responses: 200: Content: application/json Schema: PaginatedParticipantDetailList Security: OAuth2 - Required scopes: participants:read apiKeyAuth tokenAuth POST /api/participants/ Summary: Update Participant Data Description: GET: list participants for the team. POST: update/create participant data. Request Body: Content: application/json Schema: ParticipantDataUpdateRequest Responses: 200: No response body Security: OAuth2 - Required scopes: participants:write apiKeyAuth tokenAuth SCHEMAS: PaginatedParticipantDetailList: - next: string - previous: string - results: array of ParticipantDetail (required) ParticipantDataEntry: - chatbot: string (required) - chatbot_id: string (required) - data: Unknown ParticipantDataUpdateRequest: - identifier: string (required) - name: string - platform: Unknown - data: array of ParticipantExperimentData (required) ParticipantDetail: - id: string (required) - identifier: string - name: string - platform: string (required) - remote_id: string - data: array of ParticipantDataEntry (required) ParticipantExperimentData: - experiment: string (required) - data: object - schedules: array of ParticipantSchedule ParticipantSchedule: - id: string - name: string - prompt: string - date: string - delete: boolean SECURITY: - OAuth2 - Authorization Code Flow (authorization url: /o/authorize/, token url: /o/token/) - API Key authentication (header: X-api-key) - API Key authentication (cookie: sessionid) - API Key authentication (header: X-Embed-Key) - HTTP bearer authentication